<template>
    <div v-if="value">
        <Icon :color="color" :type="type"></Icon>
        <span class="hide">{{this.value === '1'?'是':'否'}}</span>
    </div>
</template>
<script>
export default {
    name: 'BooleanTd',
    data() {
        return {
           
        }
    },
    computed: {
        type() {
            return this.value == '1' ? 'md-checkmark' : 'md-close'
        },
        color() {
            return this.value == '1' ? 'green' : 'red';
        }
    },
    mounted: function () {},
    props: ['value']
}
</script>
<style scoped>
.hide {
    display: none;
}
</style>